{% extends "dashboard.blank.html" %}

{% block dashboard_content %}

<!-- Custom styles for this page -->
<link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">
<!-- Page Heading -->
<h1 class="h3 mb-4 text-gray-800">Fontes</h1>
<div class="row">
    <div class="col-xl-9 col-lg-7">
        <div class="card shadow mb-4">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-primary">Transmissões</h6>
                <div class="no-arrow">
                    <a href="{{ url_for('views.event_new') }}" class="btn btn-primary btn-icon-split btn-sm">
                        <span class="icon text-white-50">
                            <i class="fas fa-plus"></i>
                        </span>
                        <span class="text">Nova Transmissão</span>
                    </a>
                </div>
            </div>
            <div class="card-body">
                <table class="table table-sm">
                    <thead>
                        <tr>
                            <th scope="col">Título</th>
                            <th scope="col">Criado</th>
                            <th scope="col">Agendado</th>
                            <th scope="col"></th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for s in sources %}
                        <tr>
                            <td>
                                <div class="media">
                                    <div class="media-body small">
                                        <div class="d-flex justify-content-between align-items-center w-100">
                                            <strong class="text-gray-dark">
                                                <a href="{{ url_for('views.source', source_id=s.id) }}">
                                                    {{ s.title }}
                                                </a>
                                            </strong>
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <td>
                                <span
                                    class="d-block text-muted small">{{ s.created_at.strftime("%d %B %Y %I:%M%p") }}</span>
                            </td>
                            <td>
                            </td>
                            <td>
                                <div class="dropdown no-arrow">
                                    <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
                                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                                    </a>
                                    <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in"
                                        aria-labelledby="dropdownMenuLink" style="">
                                        <div class="dropdown-header">Opções</div>
                                        <a class="dropdown-item" href="#">Action</a>
                                        <a class="dropdown-item" href="#">Another action</a>
                                        <div class="dropdown-divider"></div>
                                        <a class="dropdown-item" href="#">
                                            <i class="fas fa-trash fa-sm fa-fw" style="color: Red;"></i>
                                            Remover
                                        </a>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<!-- Page level plugins -->
<script src="vendor/datatables/jquery.dataTables.min.js"></script>
<script src="vendor/datatables/dataTables.bootstrap4.min.js"></script>

<!-- Page level custom scripts -->
<script src="js/demo/datatables-demo.js"></script>

{% endblock %}